USE [MediaBase]
GO

/****** Object:  Table [dbo].[Buch]    Script Date: 06.04.2012 18:02:13 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Buch](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ISBN10] [char](10) NULL,
	[ISBN13] [char](14) NULL,
	[Autor] [varchar](80) NULL,
	[Titel] [varchar](80) NULL,
	[Verlag] [varchar](80) NULL,
	[Seiten] [int] NULL,
	[Auflage] [tinyint] NULL,
	[Sprache] [varchar](20) NULL,
	[Hardcover] [bit] NULL,
	[Erscheinungsjahr] [int] NULL,
	[Bewertung] [tinyint] NULL,
	[Beschreibung] [varchar](max) NULL,
	[Kategorie] [varchar](80) NULL,
	[MediaId] [int] NULL,
 CONSTRAINT [PK_Buch] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[Buch] ADD  CONSTRAINT [DF_Buch_Sprache]  DEFAULT ('deutsch') FOR [Sprache]
GO

ALTER TABLE [dbo].[Buch] ADD  CONSTRAINT [DF_Buch_MediaId]  DEFAULT (NEXT VALUE FOR [dbo].[MediaId]) FOR [MediaId]
GO
