﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

// Verweise für ADO.NET Entity Framework
using System.Data.Objects;
using System.Data.Objects.DataClasses;

namespace Datenzugriff_EntityFramework
{
    public partial class Form1 : Form
    {
        private MediaBaseEntities mediaBaseContext;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            mediaBaseContext = new MediaBaseEntities();

            ObjectQuery<CD> cdQuery = mediaBaseContext.CD.Include("CD_Track");

            this.cboCD.DataSource = cdQuery;
            this.cboCD.DisplayMember = "Titel";
        }

        private void cboCD_SelectedIndexChanged(object sender, EventArgs e)
        {
            CD cd = (CD)this.cboCD.SelectedItem;
            grdCDTrack.DataSource = cd.CD_Track;
        }
    }
}
